Public Class Joueur
    Private m_nom As String
    Private m_caseCourante As CaseMonopoly

    Public Sub New(ByVal nom As String, ByVal caseCourante As CaseMonopoly)
        m_nom = nom
        m_caseCourante = caseCourante
    End Sub

    Public ReadOnly Property Nom() As String
        Get
            Return m_nom
        End Get
    End Property

    Public Property Courante() As CaseMonopoly
        Get
            Return m_caseCourante
        End Get
        Set(ByVal Value As CaseMonopoly)
            m_caseCourante = Value
        End Set
    End Property

    Public Sub Jouer(ByVal g As Gobelet)
        Dim r As Integer = g.Roll()
        Console.Write(Nom & " a obtenu " & r & " - ")
        Dim i As Integer
        For i = 1 To r
            m_caseCourante = m_caseCourante.Suivante
        Next
        m_caseCourante.Accueillir(Me)
    End Sub

End Class
