Public Class Plateau
    Public Const MAX_CASES As Integer = 40
    ' Allocation du tableau
    Private m_cases(MAX_CASES - 1) As CaseMonopoly

    Public Sub New()
        Dim i As Integer
        ' cration des 40 cases
        For i = 0 To MAX_CASES - 1
            m_cases(i) = New CaseMonopoly("Case " & i)
        Next
        ' chanage des 40 cases
        For i = 0 To MAX_CASES - 1
            m_cases(i).Suivante = m_cases((i + 1) Mod MAX_CASES)
        Next
    End Sub

    Public ReadOnly Property Depart() As CaseMonopoly
        Get
            Return m_cases(0)
        End Get
    End Property
End Class
