Imports Monopoly2.Cases

Public Class Joueur
    Private m_nom As String
    Private m_caseCourante As CaseMonopoly
    Private m_argent As Integer

    Public Sub New(ByVal nom As String, ByVal caseCourante As CaseMonopoly)
        m_nom = nom
        m_caseCourante = caseCourante
        m_argent = 1500
    End Sub

    Public Sub Crediter(ByVal montant As Integer)
        m_argent = m_argent + montant
    End Sub
    Public Sub Debiter(ByVal montant As Integer)
        m_argent = m_argent - montant
    End Sub
    Public ReadOnly Property Argent() As Integer
        Get
            Return m_argent
        End Get
    End Property
    Public ReadOnly Property Nom() As String
        Get
            Return m_nom
        End Get
    End Property

    Public Property Courante() As CaseMonopoly
        Get
            Return m_caseCourante
        End Get
        Set(ByVal Value As CaseMonopoly)
            m_caseCourante = Value
        End Set
    End Property

    Public Sub Jouer(ByVal g As Gobelet)
        Dim r As Integer = g.Roll()
        Console.Write(Nom & " a obtenu " & r & " - ")
        Dim i As Integer
        For i = 1 To r - 1
            m_caseCourante = m_caseCourante.Suivante
            m_caseCourante.PasserParDessus(Me)
        Next
        m_caseCourante = m_caseCourante.Suivante
        m_caseCourante.Accueillir(Me)
    End Sub

End Class
