Namespace Cases


Public Class CaseDepart
    Inherits CaseMonopoly

    Public Const MONTANT_CASEDEPART As Integer = 200

        'ce que gnre le compilateur :
        'Public Sub New()
        ' Ca ne compile pas car il n'y pas de constructeur par dfaut
        ' dans la classe de base
        '    MyBase.New()
        'End Sub

        'il faut appeler le constructeur de la classe de base
        Public Sub New()
            MyBase.New("Dpart")
        End Sub

        Public Overrides Sub Accueillir(ByVal j As Joueur)
            ' appel de la mthode de la classe de base
            MyBase.Accueillir(j)
            j.Crediter(MONTANT_CASEDEPART)
            Console.WriteLine("************* Depart ***********")
        End Sub

        Public Overrides Sub PasserParDessus(ByVal j As Joueur)
            j.Crediter(MONTANT_CASEDEPART)
            Console.WriteLine("************* Par dessus dpart ***********")
        End Sub

    End Class

End Namespace