Imports Monopoly.IHM


Namespace Cases


    Public Class CaseMonopoly

        Private m_nom As String
        Private m_suivante As CaseMonopoly
        Private m_caseG As CaseG

        Public Sub New(ByVal nom As String)
            m_nom = nom
            m_caseG = New CaseG(Me)
        End Sub

    Public Property CaseG() As CaseG
      Get
        Return m_caseG
      End Get
      Set(ByVal Value As CaseG)
        m_caseG = Value
      End Set
    End Property

    Public ReadOnly Property Nom() As String
      Get
        Return m_nom
      End Get
    End Property

    Public Property Suivante() As CaseMonopoly
      Get
        Return m_suivante
      End Get
      Set(ByVal Value As CaseMonopoly)
        m_suivante = Value
      End Set
    End Property

    Public Overridable Sub Accueillir(ByVal j As Joueur)
      Console.WriteLine(j.Nom + " est tomb sur " + m_nom)
    End Sub

    Public Overridable Sub PasserParDessus(ByVal j As Joueur)
      ' ne fait rien ici
      ' redfinie pour dans la case dpart
    End Sub
  End Class
End Namespace