
Namespace Cases
    Public Class EtatNonPossede
        Implements Etat

        Private Shared m_instance As New EtatNonPossede()

        Sub Accueillir(ByVal p As Propriete, ByVal j As Joueur) Implements Etat.Accueillir
            If j.Argent >= p.Prix Then
                j.Debiter(p.Prix)
                j.Acquerir(p)
                p.Etat = EtatPossede.CreateEtatPossede()
                p.Proprietaire = j
                Console.WriteLine(j.Nom & " acquiert " & p.Nom)
            Else
                Console.WriteLine(j.Nom & " n'a pas assez d'argent pour acqurir " & p.Nom)
            End If
        End Sub

        Public Shared Function CreateEtatNonPossede() As EtatNonPossede
            Return m_instance
        End Function
    End Class
End Namespace
