Namespace Cases
    Public Class EtatPossede
        Implements Etat

        Private Shared m_instance As New EtatPossede()

        Public Sub Accueillir(ByVal p As Propriete, ByVal j As Joueur) Implements Etat.Accueillir
            ' il y a dj un propritaire
            If p.Proprietaire Is j Then
                Console.WriteLine(j.Nom & " tombe chez lui (" & p.Nom & ")")
            Else
                Dim l As Integer = p.Loyer(j)
                j.Debiter(l)
                p.Proprietaire.Crediter(l)

                Console.WriteLine(j.Nom & " tombe sur " & p.Nom & ", proprit de " & p.Proprietaire.Nom)
            End If

        End Sub

        Public Shared Function CreateEtatPossede() As EtatPossede
            Return m_instance
        End Function
    End Class
End Namespace
