Imports System.Collections
Namespace IHM

    ' Coupe un texte en deux en cherchant l'espace 
    ' le plus proche du milieu
    ' Note : l'espace du milieu est enlev de la chane
    Public Class TextSplitter
        'Implements IEnumerator

        Private m_s() As String
        Private m_counter As Integer
        Private m_length As Integer

        Public Sub New(ByVal s As String)
            m_counter = -1
            Dim left, right As Integer
            right = s.Length() \ 2
            left = right
            Dim spacePos As Integer = -1
            While left <> 0 Or right < s.Length()
                If s.ToCharArray()(left) = " "c Then
                    spacePos = left
                    Exit While
                End If

                If left <> 0 Then
                    left = left - 1
                End If

                If s.ToCharArray()(right) = " "c Then
                    spacePos = right
                    Exit While
                End If

                If right < s.Length() Then
                    right = right + 1
                End If
            End While

            If spacePos = -1 Then
                m_length = 1
            Else
                m_length = 2
            End If

            ReDim m_s(m_length - 1)
            If m_length = 1 Then
                m_s(0) = s
            Else
                m_s(0) = s.Substring(0, spacePos)
                m_s(1) = s.Substring(spacePos + 1, s.Length() - spacePos - 1)
            End If
        End Sub

        Public Function MoveNext() As Boolean 'Implements IEnumerator.MoveNext
            m_counter = m_counter + 1
            Return m_counter < m_length
        End Function

        Public ReadOnly Property Current() As String 'Implements IEnumerator.Current
            Get
                If (m_counter >= m_length) Then
                    Return Nothing
                Else
                    Current = m_s(m_counter)
                End If
            End Get
        End Property

        Public ReadOnly Property Length() As Integer
            Get
                Return m_length
            End Get
        End Property

        Public Sub Reset() 'Implements IEnumerator.Reset
            m_counter = -1
        End Sub
    End Class
End Namespace