package monopoly.gui;

/**
 * Titre :        Monopoly - version 3 - graphique
 * Description :
 * Copyright :    Copyright (c) 2001
 * Socit :      ***
 * @author Emmanuel DURIN
 * @version 1.0
 */

import java.awt.Graphics2D;
import java.awt.*;
import java.awt.geom.AffineTransform;
import monopoly.plateau.*;
import monopoly.gui.text.MonopolyWriter;

public class ProprieteG extends CaseG {
  public ProprieteG() {
  }
  public ProprieteG(Case c) {
    _case = c;
  }
  public void dessineCase( Graphics2D g2, AffineTransform t , int posx, int posy, boolean bErase)
  {
    g2.setTransform(t);
    g2.setColor( Color.white );
    g2.fillRect(posx, posy, CaseG.LARGEUR_CASE, CaseG.HAUTEUR_CASE);
    g2.setColor(Color.black );
    g2.drawRect(posx, posy, LARGEUR_CASE, HAUTEUR_CASE);

    dessineTexte( _case.toString(),g2, new Point(posx +LARGEUR_CASE/40 ,
      posy+CaseG.HAUTEUR_ENTETE +(HAUTEUR_CASE -HAUTEUR_ENTETE )*1/20),
      new Dimension(LARGEUR_CASE*19/20, (HAUTEUR_CASE -HAUTEUR_ENTETE ) *8/10/2) );

    dessineTexte( new Integer( ((Propriete)_case).getPrix()).toString() ,g2, new Point(posx +LARGEUR_CASE/10 ,
      posy+HAUTEUR_ENTETE +(HAUTEUR_CASE -HAUTEUR_ENTETE )*35/40),
      new Dimension(LARGEUR_CASE*8/10, (HAUTEUR_CASE -HAUTEUR_ENTETE ) /5) );
    dessineJoueurs(  g2, t , posx+LARGEUR_CASE/2, posy+HAUTEUR_CASE/2);
  }
}