Public Class Die

    Public Const MIN_VALUE As Integer = 1
    Public Const MAX_VALUE As Integer = 6

    Private rand As New Random()

    Private m_faceValue As Integer
    Public ReadOnly Property FaceValue() As Integer
        Get
            Return m_faceValue
        End Get
    End Property

  Public Sub New()
    'Appel de l'autre  constructeur ( la constructeur par dfaut )
    Me.New(1)
  End Sub

  ' constructeur par dfaut
  Public Sub New(ByVal initialValue As Integer)
    m_faceValue = initialValue
  End Sub


  Public Function Roll() As Integer
    m_faceValue = rand.Next(MIN_VALUE, MAX_VALUE + 1)
    Return m_faceValue
  End Function

  Public Sub TestAndReport()
    Dim i As Integer
    Console.WriteLine(m_faceValue)
  End Sub

End Class
