Public Class Employe

  Private m_name As String

  Public Sub New(ByVal name As String)
    m_name = name
  End Sub

End Class

' Couplage faible

' Contrat = IEnumerable
' Producteur = Property Entreprise.Employes()
' Consommateur = Celui qui appelle Property Entreprise.Employes()

Public Class Entreprise

  Private m_employes As ArrayList

  Public Sub New()
    m_employes = New ArrayList()
  End Sub

  Public Sub Embaucher(ByVal name As String)
    m_employes.Add(New Employe(name))
  End Sub

  ' on ne dvoile pas forcment le type exact contenu dans 
  ' la classe, mais un Type de base.
  ' On dcouple ainsi le consommateur et le fournisseur 
  ' du service. On peut changer d'avis sur l'implmentation
  ' propose.
  Public ReadOnly Property Employes() As IEnumerable

    Get
      Return m_employes ' retourner une sous classe de IEnumerable qui permet de
      ' retourner les enregistrements d'une base de donne
    End Get
  End Property

End Class
