
Public Class DiceGame

  Public Const MAX_TURNS As Integer = 10

  ' cet attribut est inutile car
  ' le tableau une fois allou connat sa taille
  ' grce  la proprit Length
  ' Private m_numPlayers As Integer
  Private m_players As Player()

  Public Sub New(ByVal numPlayers As Integer)
    Dim i As Integer
    ' 1 Allocation du tableau de joueur
    ReDim m_players(numPlayers - 1)
    ' 2 Cration des joueurs
    For i = 0 To m_players.Length - 1
      m_players(i) = New Player("Joueur " & i)
    Next
  End Sub

  Public Sub Play()
    Dim i, j As Integer
    For j = 1 To MAX_TURNS

      ' la boucle peut tre crite de deux manires :
      ' 1)
      Dim p As Player
      For Each p In m_players
        p.TakeTurn()
      Next

      ' 2)
      'For i = 0 To m_players.Length - 1
      '    m_players(i).TakeTurn()
      'Next
    Next
    DisplayWinner()
  End Sub

  Private Sub DisplayWinner()
    Dim winnerCount As Integer = 0
    Dim maxScore As Integer = -1
    Dim p As Player

    For Each p In m_players
      If p.Score > maxScore Then
        winnerCount = 1
        maxScore = p.Score
      Else
        If p.Score = maxScore Then
          winnerCount = winnerCount + 1
        End If
      End If
    Next

    If winnerCount > 1 Then
      Console.WriteLine("Les gagnants sont : ")
    Else
      Console.WriteLine("Le gagnant est : ")
    End If
    For Each p In m_players
      If p.Score = maxScore Then
        Console.WriteLine("- " & p.Name)
      End If
    Next
  End Sub
End Class
