Namespace Cases
    Public MustInherit Class Propriete
        Inherits CaseMonopoly

        Private m_prix As Integer
        Private m_proprietaire As Joueur = Nothing

        Public Sub New(ByVal nom As String, ByVal prix As Integer)
            MyBase.New(nom)
            m_prix = prix
        End Sub

        Public ReadOnly Property Prix() As Integer
            Get
                Return m_prix
            End Get
        End Property

        Public Property Proprietaire() As Joueur
            Get
                Return m_proprietaire
            End Get
            Set(ByVal Value As Joueur)
                m_proprietaire = Value
            End Set
        End Property

        Public Overrides Sub Accueillir(ByVal j As Joueur)
            If m_proprietaire Is Nothing Then
                If j.Argent >= m_prix Then
                    j.Debiter(m_prix)
                    '      j.Acquerir(Me)
                    m_proprietaire = j
                    Console.WriteLine(j.Nom & " acquiert " & Nom)
                Else
                    Console.WriteLine(j.Nom & " n'a pas assez d'argent pour acqurir " & Nom)
                End If
            Else
                ' il y a dj un propritaire
                If m_proprietaire Is j Then
                    Console.WriteLine(j.Nom & " tombe chez lui (" & Nom & ")")
                Else
                    Dim l As Integer = Loyer(j)
                    j.Debiter(l)
                    m_proprietaire.Crediter(l)

                    Console.WriteLine(j.Nom & " tombe sur " & Nom & ", proprit de " & m_proprietaire.Nom)
                End If
            End If
        End Sub

    Public MustOverride ReadOnly Property Loyer(ByVal j As Joueur) As Integer

  End Class
End Namespace