Imports Monopoly3_graphique.Cases

Namespace IHM

import monopoly.plateau.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.geom.AffineTransform;
import java.awt.Color;
import monopoly.gui.text.MonopolyWriter;
import java.lang.reflect.Field;

public class RueG extends ProprieteG {
  private Color _color;
  public RueG(Case c, String couleur ) {
    _case = c;
    try{
       // chargement de la classe dynamique
       //Class classe = Class.forName("java.awt.Color");

//       String couleur = "pink";
//       --> Color c = new Color( 255, 230,235 );
      Class classe = Color.class;
      // quel est ton champ qui s'appelle "pink" ou "orange", ...
      Field f = classe.getField( couleur.toLowerCase());
      // quelle est la valeur de l'attribut ?
      _color = (Color)f.get( null );

    }catch( Exception e ){
      System.out.println( e.getMessage() );
    }
  }
 public void dessineCase( Graphics2D g2, AffineTransform t , int posx, int posy, boolean bErase)
  {
    g2.setTransform(t);
    g2.setColor( Color.white );
    g2.fillRect(posx, posy, LARGEUR_CASE, HAUTEUR_CASE);
    g2.setColor(_color );
    g2.fillRect(posx,posy, LARGEUR_CASE, HAUTEUR_ENTETE);
    super.dessineCadre(g2, posx, posy) ;

    g2.setColor(Color.black);
    g2.drawLine(posx, posy+HAUTEUR_ENTETE, posx+LARGEUR_CASE, posy+HAUTEUR_ENTETE);

    dessineTexte( _case.toString(),g2, new Point(posx +LARGEUR_CASE/20 ,
      posy+HAUTEUR_ENTETE +(HAUTEUR_CASE -HAUTEUR_ENTETE )*1/20),
      new Dimension(LARGEUR_CASE*9/10, (HAUTEUR_CASE -HAUTEUR_ENTETE ) *8/10/2) );

    dessineTexte( new Integer(((Propriete)_case).getPrix()).toString() ,g2, new Point(posx +LARGEUR_CASE/10 ,
      posy+HAUTEUR_ENTETE +(HAUTEUR_CASE -HAUTEUR_ENTETE )*35/40),
      new Dimension(LARGEUR_CASE*8/10, (HAUTEUR_CASE -HAUTEUR_ENTETE ) /5) );
    dessineJoueurs(  g2, t , posx+LARGEUR_CASE/2, posy+HAUTEUR_CASE/2);
  }
}

End Namespace
