Imports NUnit.Framework
Imports Monopoly.IHM

' ce test peut tre effectu avec la version ligne de commande
' de nunit afin de voir le rsultat de la sparation des chaines
<TestFixture()> Public Class TestTextSplitter

    <Test()> Public Sub TestSplit()

        Dim s As String() = {"Rue de la paix", _
                            "Gare", _
                            "Gare Montparnasse", _
                            "Compagnie d'lectricit", _
                            "Pennsylvania Avenue"}
        Dim nombreDeLignes As Integer() = {2, 1, 2, 2, 2}
        Dim longueurLignes As Integer(,) = {{6, 7}, {4, -1}, {4, 12}, {9, 13}, {12, 6}}
        Dim i As Integer
        For i = 0 To s.Length - 1
            Dim t As New TextSplitter(s(i))
            Dim j As Integer = 0
            While t.MoveNext
                Console.WriteLine(t.Current.ToString())
                Assert.AreEqual(t.Current.ToString().Length, longueurLignes(i, j))
                j = j + 1
            End While
            ' Console.WriteLine(t.Length() & " - " & nombreDeLignes(i))
            Assert.AreEqual(t.Length(), nombreDeLignes(i))
        Next i
    End Sub

End Class