Namespace Cases
    Public MustInherit Class Propriete
        Inherits CaseMonopoly

        Private m_prix As Integer
        Private m_proprietaire As Joueur
        Private m_etat As Etat = EtatNonPossede.CreateEtatNonPossede()

        Public Sub New(ByVal nom As String, ByVal prix As Integer)
            MyBase.New(nom)
        End Sub

        Public WriteOnly Property Etat() As Etat
            Set(ByVal Value As Etat)
                m_etat = Value
            End Set
        End Property


        Public ReadOnly Property Prix() As Integer
            Get
                Return m_prix
            End Get
        End Property
        Public Property Proprietaire() As Joueur
            Get
                Return m_proprietaire
            End Get
            Set(ByVal Value As Joueur)
                m_proprietaire = Value
            End Set
        End Property

        Public Overrides Sub Accueillir(ByVal j As Joueur)
            m_etat.Accueillir(Me, j)
        End Sub

    Public MustOverride ReadOnly Property Loyer(ByVal j As Joueur) As Integer

  End Class
End Namespace