Imports System.Collections
Imports Plateau = Monopoly3_et_fichier_pattern_etat.Cases.Plateau


Public Class Partie

  ' pas de raison de finir la partie, hormis qu'on en a marre !
  Public Const MAX_TOUR As Integer = 2000

  Private m_p As New Plateau()
  Private m_joueurs As ArrayList
  Private Shared ReadOnly m_nomsJoueurs() As String = {"Chaussure", "Cheval", _
                      "Fauteuil", "Pot de chambre", _
                      "Bateau", "Fer  repasser", _
                      "Locomotive", "Chapeau"}

  Public Sub New(ByVal numJoueurs As Integer)
    m_joueurs = New ArrayList(numJoueurs - 1)
    Dim i As Integer
    ' cration des joueurs
    For i = 0 To numJoueurs - 1
      m_joueurs.Add(New Joueur(m_nomsJoueurs(i), m_p.Depart))
      ' New Joueur("Joueur " & i, m_p.Depart)
    Next
  End Sub

  Public Sub Jouer()
    Dim i As Integer
    Try
      While True
        JouerTour()
      End While
    Catch e As ExceptionPartieFinie
      Console.WriteLine("La partie est finie, le gagnant est " & e.Gagnant.Nom)
    End Try
  End Sub

  Public Sub JouerTour()
    Dim i As Integer = 0
    While i < m_joueurs.Count
      Dim j As Joueur = CType(m_joueurs(i), Joueur)
      Try
        Do
          j.Jouer()
        Loop While Gobelet.Instance.EstUnDouble
        i = i + 1
      Catch e As ExceptionJoueurAPerdu
        Console.WriteLine(j.Nom & " a perdu" & " i = " & i)
        m_joueurs.RemoveAt(i)

        If m_joueurs.Count = 1 Then
          Throw New ExceptionPartieFinie(CType(m_joueurs(0), Joueur))
        End If
      End Try
    End While
  End Sub
End Class
