Public Class DiceGame

    Public Const MAX_TURNS As Integer = 10

    ' cet attribut est inutile car
    ' le tableau une fois allou connat sa taille
    ' grce  la proprit Length
    ' Private m_numPlayers As Integer
    Private m_players As Player()

    Public Sub New(ByVal numPlayers As Integer)
        Dim i As Integer
        ' 1 Allocation du tableau de joueur
        ReDim m_players(numPlayers - 1)
        ' 2 Cration des joueurs
        For i = 0 To m_players.Length - 1
            m_players(i) = New Player("Joueur " & i)
        Next
    End Sub

    Public Sub Play()
        Dim i, j As Integer
        For j = 1 To MAX_TURNS

            ' la boucle peut tre crite de deux manires :
            ' 1)
            Dim p As Player
            For Each p In m_players
                p.TakeTurn()
            Next

            ' 2)
            'For i = 0 To m_players.Length - 1
            '    m_players(i).TakeTurn()
            'Next
        Next
        DisplayWinner()
    End Sub

    Private Sub DisplayWinner()

        Console.WriteLine("Tri par score")
        Array.Sort(m_players)
        Array.Reverse(m_players)
        Dim p As Player
        For Each p In m_players
            Console.WriteLine(p.Name & " " & p.Score)
        Next

        Console.WriteLine("Tri par nom, insensitif  la casse")

        Array.Sort(m_players, New AlphaJoueurComparer())
        For Each p In m_players
      Console.WriteLine(p.Name & " " & p.Score.ToString())
        Next

    End Sub
End Class
